/* for easier compatibility */
#ifdef LINUX
#define _BSD_SOURCE
#endif

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <strings.h>
#include <netdb.h>
#include <signal.h>
#include <syslog.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/wait.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <arpa/inet.h>
#include <net/if.h>
#include <netinet/in.h>
#include <netinet/ip.h>
#include <netinet/tcp.h>

#ifndef LOGFACILITY
#define LOGFACILITY LOG_LOCAL3
#endif
#define DEFAULT_FLOODLIMIT 10
#define DEFAULT_FLOODTIMEOUT 10

#ifndef VERSION
#define VERSION "version unknown"
#endif


#ifndef NOFILE
#define NOFILE 1024
#endif

#define BUFSIZE 256

#ifndef TCPLOGD_CF
#define TCPLOGD_CF "/etc/tcplogd.cf"
#endif

struct tcpflags {
	unsigned char flags;
	int facility;
	char name[BUFSIZE];
	struct tcpflags *next;
};

struct ports {
	unsigned int port;
	struct ports *next;
};



struct ippkt
{
   struct ip ip;
   struct tcphdr tcp;
   char buffer[10000];
};
